Cancel schedule
Describes the schedule to cancel.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/transfers.write scope.
DELETE
/accounts/{accountID}/schedules/{scheduleID}
curl -X DELETE "https://api.moov.io/accounts/{accountID}/schedules/{scheduleID}"
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2024.01.00" \
mc, _ := moov.NewClient()
var accountID string
var scheduleID string
mc.CancelSchedule(ctx, accountID, scheduleID)
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.CancelScheduleResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws GenericError, Exception {
Moov sdk = Moov.builder()
.xMoovVersion("v2024.01.00")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
CancelScheduleResponse res = sdk.scheduling().cancel()
.accountID("e89edcfc-19ca-40eb-802b-a35100dea24d")
.scheduleID("5ca67de0-63f6-4cb7-b94a-6c84616ffe03")
.call();
// handle response
}
}using Moov.Sdk;
var sdk = new MoovClient(xMoovVersion: "<value>");
var res = await sdk.Scheduling.CancelAsync(
accountID: "e89edcfc-19ca-40eb-802b-a35100dea24d",
scheduleID: "5ca67de0-63f6-4cb7-b94a-6c84616ffe03"
);
// handle responserequire 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: 'v2024.01.00',
)
res = s.scheduling.cancel(account_id: 'e89edcfc-19ca-40eb-802b-a35100dea24d', schedule_id: '5ca67de0-63f6-4cb7-b94a-6c84616ffe03')
if res.status_code == 200
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "v2024.01.00",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.scheduling.cancel({
accountID: "e89edcfc-19ca-40eb-802b-a35100dea24d",
scheduleID: "5ca67de0-63f6-4cb7-b94a-6c84616ffe03",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('v2024.01.00')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->schedules->cancel(
accountID: 'e89edcfc-19ca-40eb-802b-a35100dea24d',
scheduleID: '5ca67de0-63f6-4cb7-b94a-6c84616ffe03'
);
if ($response->statusCode === 200) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="v2024.01.00",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.scheduling.cancel(account_id="e89edcfc-19ca-40eb-802b-a35100dea24d", schedule_id="5ca67de0-63f6-4cb7-b94a-6c84616ffe03")
# Handle response
print(res)The request completed successfully, but there is no content to return.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
Your Moov account ID as the partner running the transfers.
scheduleID
string
required